{% extends "base.html" %}
{% load static %}

{% block title %} Overview {% endblock %}
{% block titleHeader %} Our users {% endblock %}
{% block titleSubHeader %} omicsBroker users overview {% endblock %}

{% block libraries %}

<!-- CHART.js -->
<link rel="stylesheet" href="{% static 'css/Chart.min.css' %}"  />
<script src="{% static 'js/Chart.bundle.min.js' %}"></script>

<!-- leaflet -->
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
crossorigin=""/>
<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
crossorigin=""></script>

{% endblock %}


{% block content %}
<div class="container">
    <h2>Summary</h2>
    <div class="row">
        <div class="col-md-4">
            <div class="card mb-3 border-primary" style="max-width: 540px;">
                <div class="row g-0">
                    <div class="col-md-4 align-self-center text-center bg-primary">
                <span style="font-size: 80px; color: white; padding : 15px;" >
                    <i class="fas fa-users"></i>
                </span>
                    </div>
                    <div class="col-md-8 align-self-center">
                        <div class="card-body" style="padding: 0px 16px !important">
                            <h1>{{count_users}}</h1>
                            <h2 class="text-muted mb-0">users</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="card mb-3 border-success" style="max-width: 540px;">
                <div class="row g-0">
                    <div class="col-md-4 align-self-center text-center bg-success">
                <span style="font-size: 80px; color: white; padding : 15px;" >
                    <i class="fas fa-lightbulb"></i>
                </span>
                    </div>
                    <div class="col-md-8 align-self-center">
                        <div class="card-body" style="padding: 0px 16px !important">
                            <h1>{{count_projects}}</h1>
                            <h2 class="text-muted mb-0">projects</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="card mb-3 border-secondary" style="max-width: 540px;">
                <div class="row g-0">
                    <div class="col-md-4 align-self-center text-center bg-secondary">
                <span style="font-size: 80px; color: white; padding : 15px;" >
                    <i class="fas fa-globe-europe"></i>
                </span>
                    </div>
                    <div class="col-md-8 align-self-center">
                        <div class="card-body" style="padding: 0px 16px !important">
                            <h1>{{count_country}}</h1>
                            <h2 class="text-muted mb-0">countries</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>



    </div>

    <h2>Users</h2>
    <table id="userTable" class="display" style="width:100%">
        <thead>
        <tr>
            <th>Username</th>
            <th>First name</th>
            <th>Last name</th>
            <th>Email</th>
        </tr>
        </thead>
    </table>

    <br>

    <div class="row" style="height:500px;">
        <div class="col-6" >
            <canvas style="margin-bottom: 30px; width: 60%; height: 50%;" id="pieChart"></canvas>
        </div>
        <div class="col-6">
            <div id="map_users" class="map_leaflet"></div>
        </div>
    </div>
</div>

<script>

    /**************************************************************************
    DATATABLE
    **************************************************************************/

    $('#userTable').DataTable( {
        "order": [[ 0, "desc" ]],
        "ajax":{
            "processing": true,
            "dataSrc": "",
            "url": "{% url 'request_asJson_Users'  %}"
        },
        "columns": [
            { "data": "user__username"},
            { "data": "user__first_name"},
            { "data": "user__last_name"},
            { "data": "user__email"}
        ]

    } );

    /**************************************************************************
    CHART JS
    **************************************************************************/

    const ctx = document.getElementById('pieChart');
    data = {
        datasets: [{
            data: {{ pie_data | safe }} ,
            backgroundColor: [
                'rgba(54, 162, 235, 0.2)',
                'rgba(255, 99, 132, 0.2)',
            ]
        }],

        // These labels appear in the legend and in the tooltips when hovering different arcs
        labels: [
            'Yes',
            'No',
        ]
    };

    var myPieChart = new Chart(ctx, {
        type: 'pie',
        data: data,
        options: {
            title: {
                display: true,
                text: 'IFB members ?'
            }
        }

    });

    /**************************************************************************
    MAP
    **************************************************************************/

    var map = L.map('map_users', { zoomControl: false, scrollWheelZoom: false }).setView([0, 0], 1);
     L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
        attribution: '© OpenStreetMap contributors',
        maxZoom: 19
    }).addTo(map);

    var geojson = L.geoJson({{ map_geometry | safe}}).addTo(map);
</script>



</script>
{% endblock %}
